This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 481164 - RHEL 5.2->5.3 update lvm2-cluster conflicts with lvm2
RHEL 5.2->5.3 update lvm2-cluster conflicts with lvm2
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 10:12 EST by Matthew Cox
Modified: 2014-06-12 08:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, if a plugin modified a yum transaction with a postresolve hook, yum would ignore problems created by the original transaction. If the original transaction included conflicting packages, yum would be unable to resolve the conflict and the transaction would fail. Now yum does not ignore problems created by the original transaction in situations where the transaction is modified by a plugin and is able to resolve conflicts as it normally would.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
sosreport from affected system (7.21 MB, application/x-bzip)
2009-01-22 10:13 EST, Matthew Cox
no flags Details
output of yum -y update -d 9 (349.83 KB, text/plain)
2009-01-22 13:17 EST, Matthew Cox
no flags Details
output of yum -v repolist (8.54 KB, text/plain)
2009-01-28 09:42 EST, Matthew Cox
no flags Details
output of yum-debug-dump (168.20 KB, application/x-gzip)
2009-01-30 14:27 EST, Matthew Cox
no flags Details

  None (edit)
Description Matthew Cox 2009-01-22 10:12:09 EST
Description of problem:

Updating from RHEL 5.2 to 5.3


Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1. yum -y update
2. ...
3. Fail
  
Actual results:

Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
lvm2-cluster conflicts with lvm2
Complete!
(1, ['Please report this error in bugzilla'])

Expected results:

yum should install the updates

Additional info:

See attached sos report and the following RPM versions.

# rpm -qa lvm*
lvm2-2.02.32-4.el5_2.1
lvm2-cluster-2.02.32-4.el5

# rpm -qa rpm*
rpm-python-4.4.2-48.el5
rpm-devel-4.4.2-48.el5
rpmforge-release-0.3.6-7.rf.4.HMDC.RHEL5
rpm-libs-4.4.2-48.el5
rpm-libs-4.4.2-48.el5
rpm-build-4.4.2-48.el5
rpm-4.4.2-48.el5
rpm-devel-4.4.2-48.el5

# rpm -qa yum*
yum-protectbase-1.1.10-9.el5
yum-3.2.19-18.el5
yum-updatesd-0.9-2.el5
yum-rhn-plugin-0.5.3-12.9.HMDC
yum-security-1.1.10-9.el5
yum-utils-1.1.16-13.el5
yum-metadata-parser-1.1.2-2.el5
yum-downloadonly-1.1.10-9.el5
Comment 1 Matthew Cox 2009-01-22 10:13:38 EST
Created attachment 329717 [details]
sosreport from affected system
Comment 2 James Antill 2009-01-22 10:39:12 EST
Can you post the full "yum update -d 9" output?
Comment 3 Matthew Cox 2009-01-22 13:17:22 EST
Created attachment 329725 [details]
output of yum -y update -d 9
Comment 4 James Antill 2009-01-22 13:49:12 EST
 Ok, this is bizarre ... yum finds the error and then ignores it.

--> Processing Conflict: lvm2 conflicts lvm2-cluster < 2.02.40
lvm2 conflicts with lvm2-cluster
--> Finished Dependency Resolution
Dependency Process ending
lvm2-2.02.40-6.el5.x86_64 from rhel-x86_64-server-5 has depsolving problems
  --> lvm2 conflicts with lvm2-cluster
--> Running transaction check
---> Package kernel.x86_64 0:2.6.18-92.el5 set to be erased
Checking deps for kernel.x86_64 0-2.6.18-92.el5 - e
---> Package kernel-xen.x86_64 0:2.6.18-92.el5 set to be erased
Checking deps for kernel-xen.x86_64 0-2.6.18-92.el5 - e
---> Package kernel-xen-devel.x86_64 0:2.6.18-92.el5 set to be erased
Checking deps for kernel-xen-devel.x86_64 0-2.6.18-92.el5 - e
--> Finished Dependency Resolution
Dependency Process ending
[...]
 lvm2                   x86_64 2.02.40-6.el5      rhel-x86_64-server-5    2.5 M

Member: lvm2.x86_64 0-2.02.40-6.el5 - u
Member: lvm2.x86_64 0-2.02.32-4.el5_2.1 - None



 A couple of quick questions: it looks like you don't have the clsuter channels enabled anymore, is that intentional? And finally what is yum-rhn-plugin-0.5.3-12.9.HMDC ?
Comment 5 Matthew Cox 2009-01-22 13:59:48 EST
>  A couple of quick questions: it looks like you don't have the clsuter channels
> enabled anymore, is that intentional?

It is not intentional per se. 

> And finally what is yum-rhn-plugin-0.5.3-12.9.HMDC ?

Ah, yes. That was/is an in house patched copy of the yum-rhn-plugin bugfix that was finally included in the RHEL 5.3 update (bugzilla bug 448012). I would be happy to update all the yum components to the versions included in 5.3.

Thank you,
Matt
Comment 6 Matthew Cox 2009-01-26 15:10:14 EST
How would you like me to proceed?

Would you prefer that I maintain this machine in this state?

Should I update the non conflicting components?

Should I update yum and try again?

Should I submit a support request via RHN to keep this moving?

Thank you,
Matt
Comment 7 James Antill 2009-01-26 15:34:21 EST
Yes, please keep the machine in that state ... if it's not too much trouble. I'm trying to reproduce it on this end.

 Updating to the latest yum\* shouldn't be a problem, if you want to try that (although I don't think it'll solve your problem).

 Yes, open a "real" support ticket too ... that can only help.
Comment 8 James Antill 2009-01-27 16:34:00 EST
 It's annoying, I don't see the problem you are hitting. I enable the cluster storage channel and install your installed versions of lvm2 and lvm2-cluster. If I then update everything works, but if I unsubscribe from the channel and then update I just get:

--> Processing Conflict: lvm2 conflicts lvm2-cluster < 2.02.40
--> Finished Dependency Resolution
lvm2-2.02.40-6.el5.x86_64 from rhel-x86_64-server-5 has depsolving problems
  --> lvm2 conflicts with lvm2-cluster
Error: lvm2 conflicts with lvm2-cluster

...which is correct. The only real difference is the version of rpm:

python.x86_64                           2.4.3-24.el5        installed
rpm.x86_64                              4.4.2.3-9.el5       installed
rpm-libs.i386                           4.4.2.3-9.el5       installed
rpm-libs.x86_64                         4.4.2.3-9.el5       installed
rpm-python.x86_64                       4.4.2.3-9.el5       installed
yum.noarch                              3.2.19-18.el5       installed
yum-rhn-plugin.noarch                   0.5.3-30.el5        installed
yum-security.noarch                     1.1.16-13.el5       installed
yum-utils.noarch                        1.1.16-13.el5       installed

...which shouldn't make a difference for your problem.

# yum list lvm2\*
Loaded plugins: aliases, rhnplugin, security
Installed Packages
lvm2.x86_64                    2.02.32-4.el5_2.1         installed           
lvm2-cluster.x86_64            2.02.32-4.el5             installed           
Available Packages
lvm2.x86_64                    2.02.40-6.el5             rhel-x86_64-server-5

...can you do "yum repolist -v" and upload the data ... also can you try:

yum --disableplugin=protectbase,dellsysidplugin2 update

...and see if it fails in the correct way?
Comment 9 Matthew Cox 2009-01-28 09:40:51 EST
> Updating to the latest yum\* shouldn't be a problem

I updated yum* and as you predicted: this had no effect on the issue.

> Yes, open a "real" support ticket too ... that can only help.

I didn't mean to imply that the support you were providing was not real. Rather that I know (working in a support organization) that a ticket from a paying customer can help set priorities and justify time investment. :)

> ...can you do "yum repolist -v" and upload the data ... also can you try:
 
I'll add the attachment.

> yum --disableplugin=protectbase,dellsysidplugin2 update

This had no effect. 

> ...which is correct. The only real difference is the version of rpm:

I update the versions of rpm as well: no change.

Matt
Comment 10 Matthew Cox 2009-01-28 09:42:36 EST
Created attachment 330230 [details]
output of yum -v repolist
Comment 11 James Antill 2009-01-30 14:08:17 EST
> I didn't mean to imply that the support you were providing was not real.

 No, it's fine ... I didn't mean it that way. It'll still get back to me (but will take a bit longer than opening a BZ), but having it come in that way helps me out in some ways.


 Can you run "yum-debug-dump", and I'll see if that helps me see where the problem is (and why I can't see it atm. :().
Comment 12 Matthew Cox 2009-01-30 14:27:14 EST
Created attachment 330500 [details]
output of yum-debug-dump
Comment 13 James Antill 2009-02-02 11:11:04 EST
 Ok, I've now got to the point that my test machine is almost identical, yum-debug-restore only gives:

install epel-release-5-3.7.HMDC.RHEL5.noarch
install kernel-devel-2.6.18-128.el5.x86_64
remove mock-0.6.13-1.el5.rf.x86_64
install openais-0.80.3-15.el5.x86_64
remove perl-Gnome2-GConf-1.044-1.el5.rf.x86_64
install rpmforge-release-0.3.6-7.rf.4.HMDC.RHEL5.x86_64
remove yum-aliases-1.1.16-13.el5.noarch
install HMDC-Apache-Config-0.07-RHEL5.noarch
install HMDC-Config-0.129-RHEL5.noarch
install HMDC-ConfigCombine-0.02-1.RHEL5.noarch
install HMDC-External-Perl-0.14-RHEL5.x86_64
install HMDC-Perl-0.15-RHEL5.noarch
install HMDC-selinux-0.9-RHEL5.noarch
install dell-community-repository-1-10.3.el5.noarch
install emacs-common-ess-5.3.8-1.1.HMDC.RHEL5.noarch
install fortune-mod-calvin-0.1.2-2.noarch
install gsh-1.0.2-4.HMDC.RHEL5.noarch
install libsmbios-2.2.9-1.1.el5.x86_64
install mod_suphp-0.7.0-2.HMDC.RHEL5.x86_64
install python-ctypes-1.0.2-1.2.el5.x86_64
install python-smbios-2.2.9-1.1.el5.x86_64
install smbios-utils-2.2.9-1.1.el5.x86_64
install smbios-utils-bin-2.2.9-1.1.el5.x86_64
install smbios-utils-python-2.2.9-1.1.el5.x86_64
install synergy-1.3.1-1.i386
install xemacs-21.5.28-5.2.HMDC.RHEL5.x86_64
install xemacs-common-21.5.28-5.2.HMDC.RHEL5.x86_64
install xemacs-el-21.5.28-5.2.HMDC.RHEL5.x86_64
install xemacs-ess-5.3.8-1.1.HMDC.RHEL5.noarch
install xemacs-packages-base-20070427-1.1.HMDC.RHEL5.noarch
install xemacs-packages-extra-20070427-2.1.HMDC.RHEL5.noarch

...but if I disable the "cluster storage" channel and do "yum up lvm2" it fails at the yum stage. Dito for plain "yum up".
Comment 14 James Antill 2009-03-05 10:08:06 EST
 Ok, it's been a while. But we are pretty sure we've finally found and fixed this bug now.

 If you still have the machine around in the state that triggers it, you could try applying:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=6a9c284526c10c119636d66364181ddbbdbeb8ef

...if, not don't worry about it too much. It'll get fixed in the next update (probably 5.5).
Comment 15 Matthew Cox 2009-03-06 13:17:49 EST
James:
 
>  If you still have the machine around in the state that triggers it, you could
> try applying:

D'oh. Literally just yesterday I resolved the conflict manually. Sorry about that.

I appreciate all your assistance. If you have tracked down the bug, feel free to mark this resolved.

Thank you,
Matt
Comment 28 Ruediger Landmann 2009-09-01 09:31:40 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, if a plugin modified a yum transaction with a postresolve hook, yum would ignore problems created by the original transaction. If the original transaction included conflicting packages, yum would be unable to resolve the conflict and the transaction would fail. Now yum does not ignore problems created by the original transaction in situations where the transaction is modified by a plugin and is able to resolve conflicts as it normally would.
Comment 29 errata-xmlrpc 2009-09-02 03:34:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1419.html
Comment 30 Mohammed Ameen Al-Qudah 2010-03-01 12:09:01 EST
Hi ..
I have rhel 5.2 and I'm using redhat cluster suit, and I'm using lvm as a cluster resource, but when I try to make "yum update" I get 
lvm2 conflicts lvm2-cluster < 2.02.46

I updated yum to the yum-3.2.22-20.el5 but the error still occur.
the updating for yum did not work with me and I need to update my system.
Comment 31 Jan Hutař 2010-03-03 04:28:01 EST
Ad comment #30 - Got reply from Mohammed Qudah:
> I found that and I enabled the cluster-storage channel
> and every thing worked OK.
Comment 32 burt.s.e 2014-06-12 08:17:50 EDT
(In reply to Jan Hutař from comment #31)
> Ad comment #30 - Got reply from Mohammed Qudah:
> > I found that and I enabled the cluster-storage channel
> > and every thing worked OK.

I had the same issue and enabling the repo worked.. :)

Note You need to log in before you can comment on or make changes to this bug.